Debian Bug report logs - #426048
RFP: fuppes -- FUPPES is a free multiplatform UPnP (TM) A/V Media Server

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Nylander <yeager@lidkoping.net>

Date: Fri, 25 May 2007 21:00:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Nylander <yeager@lidkoping.net>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Nylander <yeager@lidkoping.net>
To: submit@bugs.debian.org
Subject: RFP: fuppes - FUPPES is a free multiplatform UPnP (TM) A/V Media Server.
Date: Fri, 25 May 2007 22:57:21 +0200
Package: wnpp
Severity: wishlist


* Package name    : fuppes
  Version         : 0.7.1
  Upstream Author : Ulrich Völkel u-voelkel at users dot sourceforge dot net
* URL             : http://fuppes.ulrich-voelkel.de/index.php
* License         : GPL
  Description     : fuppes - FUPPES is a free multiplatform UPnP (TM)
A/V Media Server.

FUPPES is a free multiplatform UPnP (TM) A/V Media Server.

Although it is not yet fully UPnP compliant it already supports a wide
range of UPnP MediaRenderers. (see "features" for details)
fuppes supports on-the-fly transcoding of various audio formats.




Changed Bug title to `RFP: fuppes -- FUPPES is a free multiplatform UPnP (TM) A/V Media Server' from `RFP: fuppes - FUPPES is a free multiplatform UPnP (TM) A/V Media Server.'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 26 May 2007 09:24:42 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: fuppes -- FUPPES is a free multiplatform UPnP (TM) A/V Media Server' from `RFP: fuppes -- FUPPES is a free multiplatform UPnP (TM) A/V Media Server'. Request was from Michael Schultheiss <schultmc@debian.org> to control@bugs.debian.org. (Thu, 19 Jul 2007 13:42:02 GMT) Full text and rfc822 format available.

Owner recorded as Michael Schultheiss <schultmc@debian.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Fri, 20 Jul 2007 20:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Dario Minnucci (midget)" <debian@midworld.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. Full text and rfc822 format available.

Message #16 received at 426048@bugs.debian.org (full text, mbox):

From: "Dario Minnucci (midget)" <debian@midworld.net>
To: 426048@bugs.debian.org
Subject: How is the debianization work going?
Date: Tue, 03 Jun 2008 10:01:08 +0200
Hi,

Is there any progress in the Debianization of this software?

Cheers.

-- 
________________________________________________________________________
 Dario Minnucci (midget)
 Phone: (+34) 902021030 | Fax: (+34) 902024417 | 24/7: (+34) 807450000
 Email: debian@midworld.net | URL: http://www.midworld.net/midget/
 Key fingerprint = 6DDB 5487 7F6D 89D4 5D9C  33C7 D181 DD7A 6C42 8272





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Radu Spineanu <radu@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. Full text and rfc822 format available.

Message #21 received at 426048@bugs.debian.org (full text, mbox):

From: Radu Spineanu <radu@debian.org>
To: 426048@bugs.debian.org
Cc: Michael Schultheiss <schultmc@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>
Subject: fuppes ITP
Date: Thu, 07 Aug 2008 14:23:05 +0300
Hi,

Is there any progress with the Fuppes packaging?

I'm interested in this program, please let me know if I can go ahead and 
hijack the ITP(if you guys are not interested in it anymore).

Cheers,
Radu





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #26 received at 426048@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Radu Spineanu <radu@debian.org>, 426048@bugs.debian.org
Cc: Michael Schultheiss <schultmc@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>
Subject: Re: Bug#426048: fuppes ITP
Date: Thu, 7 Aug 2008 11:09:15 -0400
Radu Spineanu wrote:
> Hi,
>
> Is there any progress with the Fuppes packaging?
>
> I'm interested in this program, please let me know if I can go ahead and  
> hijack the ITP(if you guys are not interested in it anymore).

We've made some progress on the ITP but I haven't had time to work on it
recently.  I wouldn't mind if you hijacked the ITP.

-- 
----------------------------
Michael Schultheiss
E-mail: schultmc@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jorge Salamero Sanz <bencer@cauterized.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. Full text and rfc822 format available.

Message #31 received at 426048@bugs.debian.org (full text, mbox):

From: Jorge Salamero Sanz <bencer@cauterized.net>
To: 426048@bugs.debian.org, Radu Spineanu <radu@debian.org>
Cc: Michael Schultheiss <schultmc@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>
Subject: Re: Bug#426048: fuppes ITP
Date: Thu, 7 Aug 2008 17:41:42 +0200
On Thursday 07 August 2008 13:23:05 Radu Spineanu wrote:
> I'm interested in this program, please let me know if I can go ahead and
> hijack the ITP(if you guys are not interested in it anymore).

I don't use fuppes anymore, so feel free to go ahead.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Mon, 19 Jan 2009 06:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Miles Raymond" <reukiodo@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Mon, 19 Jan 2009 06:48:02 GMT) Full text and rfc822 format available.

Message #36 received at 426048@bugs.debian.org (full text, mbox):

From: "Miles Raymond" <reukiodo@gmail.com>
To: <426048@bugs.debian.org>
Subject: fuppes package
Date: Sun, 18 Jan 2009 22:47:27 -0800
I would really like this as a package...  I have found no suitable 
replacement that can do everything fuppes can do:
-run on linux
-stream audio, video, and images
-transcode video
-support both xbox360 and ps3

-Miles Raymond      MSN: reukiodo@msn.com
AIM: reukiodo       ICQ: 13217756       YIM: reukiodo
WWW: http://reukiodo.dyndns.org/ 





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Wed, 16 Sep 2009 02:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Wed, 16 Sep 2009 02:51:07 GMT) Full text and rfc822 format available.

Message #41 received at 426048@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 426048@bugs.debian.org, 426048-submitter@bugs.debian.org
Cc: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: ITP: fuppes -- FUPPES is a free multiplatform UPnP (TM) A/V Media Server
Date: Tue, 15 Sep 2009 22:42:40 -0400
If nobody minds, I would like to work on packaging fuppes. I already maintain 
mediatomb, but am looking for another alternative to mediatomb as it has been 
a while since anyone has worked on mediatomb upstream. Aside from that, I also 
want a mediaserver that supports xbox360, which mediatomb does not support.

Regards,
Andres




Message sent on to Daniel Nylander <yeager@lidkoping.net>:
Bug#426048. (Wed, 16 Sep 2009 02:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Mon, 14 Dec 2009 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eva Ramón Salinas <eramon@empanadilla.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Mon, 14 Dec 2009 19:57:03 GMT) Full text and rfc822 format available.

Message #49 received at 426048@bugs.debian.org (full text, mbox):

From: Eva Ramón Salinas <eramon@empanadilla.net>
To: 426048@bugs.debian.org
Subject: Anyone still working on it?
Date: Mon, 14 Dec 2009 20:55:08 +0100
[Message part 1 (text/plain, inline)]
Hi there,
is there anyone still working on the package? If not, I might will do it in
the next weeks, since I am going to have the time for it. It would not be my
first package, I've already had one uploaded. I am actually running fuppes
at home and I think it's cool. It is a pity not having a debian package for
it yet.

Regards,
Eva
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Thu, 17 Dec 2009 13:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Thu, 17 Dec 2009 13:57:02 GMT) Full text and rfc822 format available.

Message #54 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: 426048@bugs.debian.org
Subject: Packaging FUPPES
Date: Fri, 18 Dec 2009 00:55:53 +1100
[Message part 1 (text/plain, inline)]
Hi all,

My name is Robert Massaioli and I have been helping to develop fuppes
further over the last month or so. However, both Ulrich (upstream author)
and I think that now is a good time to try and package fuppes again. I
personally like the idea because it would stop me having to deal with
installation issues on a daily basis; or atleast, hopefully, have to deal
with less.

However, I have never packaged anything in my life and just finished reading
the debian policy manual today (version 3.8.3.0). I am going to be reading
the New Maintainers Guide and the Developers Reference next. My point is
that I am new to packaging things for debian and I could use all of the help
I could get; or if somebody who has more experience than me wants to do it
then i'll take a back seat and tag along; so that I know how in the future.
So please feel free to email me if you want to package, or help package
fuppes.

Thankyou,
Robert

P.S. In the meantime I'm going to finish reading the documentation.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426048; Package wnpp. (Thu, 17 Dec 2009 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 17 Dec 2009 14:30:03 GMT) Full text and rfc822 format available.

Message #59 received at 426048@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Robert Massaioli <robertmassaioli@gmail.com>, 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Thu, 17 Dec 2009 09:21:51 -0500
Robert Massaioli wrote:
> So please feel free to email me if you want to package, or help
> package fuppes.

I would like to help package fuppes.  I think a team maintained package
would be best since it would allow multiple people to work on the
package as needed.  http://wiki.debian.org/Alioth/PackagingProject
explains how to setup collaborative maintenance using alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Mon, 04 Jan 2010 23:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eva Ramon <debian@empanadilla.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Mon, 04 Jan 2010 23:33:09 GMT) Full text and rfc822 format available.

Message #64 received at 426048@bugs.debian.org (full text, mbox):

From: Eva Ramon <debian@empanadilla.net>
To: 426048@bugs.debian.org
Subject: fuppes
Date: Tue, 5 Jan 2010 00:30:42 +0100
[Message part 1 (text/plain, inline)]
Hallo Michael,
I am almost ready to upload the fuppes package. Is it ok for you if I go on
with it? Do we really need to set up a group for it?

Thank you.
Regards,
Eva
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426048; Package wnpp. (Tue, 05 Jan 2010 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 05 Jan 2010 05:27:03 GMT) Full text and rfc822 format available.

Message #69 received at 426048@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Eva Ramon <debian@empanadilla.net>, 426048@bugs.debian.org
Subject: Re: Bug#426048: fuppes
Date: Tue, 5 Jan 2010 00:22:27 -0500
Eva Ramon wrote:
>    Hallo Michael,
> 
>    I am almost ready to upload the fuppes package. Is it ok for you if I
>    go on with it? Do we really need to set up a group for it?

We don't necessarily need a group for it but if you'd like help
maintaining it, either an alioth group or using collab-maint would allow
for easier collaboration.

If you'd like to maintain it yourself, that's fine with me.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sun, 10 Jan 2010 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Sun, 10 Jan 2010 19:21:03 GMT) Full text and rfc822 format available.

Message #74 received at 426048@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Eva Ramon <debian@empanadilla.net>
Cc: 426048@bugs.debian.org
Subject: Re: fuppes
Date: Sun, 10 Jan 2010 20:17:32 +0100
On Tue, Jan 05, 2010 at 12:30:42AM +0100, Eva Ramon wrote:
> Hallo Michael,
> I am almost ready to upload the fuppes package. Is it ok for you if I go on
> with it? Do we really need to set up a group for it?

Can you upload the package somewhere, so that people can test
the packages already?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Thu, 21 Jan 2010 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Thu, 21 Jan 2010 12:51:03 GMT) Full text and rfc822 format available.

Message #79 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Michael Schultheiss <schultmc@debian.org>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Thu, 21 Jan 2010 23:47:55 +1100
[Message part 1 (text/plain, inline)]
Sorry did you guys end up creating a debian allioth project? I have a bunch
of debian/* files for fuppes now including a bash-completion script, man
pages and more. I should really have made more of an effort to work
together. If you are still working on it then let me know and I'll make sure
that I give you what I have.

On Fri, Dec 18, 2009 at 1:21 AM, Michael Schultheiss <schultmc@debian.org>wrote:

> Robert Massaioli wrote:
> > So please feel free to email me if you want to package, or help
> > package fuppes.
>
> I would like to help package fuppes.  I think a team maintained package
> would be best since it would allow multiple people to work on the
> package as needed.  http://wiki.debian.org/Alioth/PackagingProject
> explains how to setup collaborative maintenance using alioth.debian.org
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426048; Package wnpp. (Thu, 21 Jan 2010 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 21 Jan 2010 14:21:03 GMT) Full text and rfc822 format available.

Message #84 received at 426048@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Robert Massaioli <robertmassaioli@gmail.com>
Cc: Michael Schultheiss <schultmc@debian.org>, 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Thu, 21 Jan 2010 09:18:00 -0500
Robert Massaioli wrote:
>    Sorry did you guys end up creating a debian allioth project? I have a
>    bunch of debian/* files for fuppes now including a bash-completion
>    script, man pages and more. I should really have made more of an effort
>    to work together. If you are still working on it then let me know and
>    I'll make sure that I give you what I have.

I'm not aware of a separate fuppes project but as I stated early we can
use collab-maint rather than a separate project if you want help
maintaining fuppes.  I'm happy to help out but don't have time to
maintain fuppes without collaboration.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Fri, 22 Jan 2010 00:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Fri, 22 Jan 2010 00:03:06 GMT) Full text and rfc822 format available.

Message #89 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Michael Schultheiss <schultmc@debian.org>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Fri, 22 Jan 2010 11:00:17 +1100
[Message part 1 (text/plain, inline)]
Okay, well Eva seems to have done something and I'm going to continue to do
work too so a combined project should be created.

I'll try and create one on allioth asap.

Robert

On Fri, Jan 22, 2010 at 1:18 AM, Michael Schultheiss <schultmc@debian.org>wrote:

> Robert Massaioli wrote:
> >    Sorry did you guys end up creating a debian allioth project? I have a
> >    bunch of debian/* files for fuppes now including a bash-completion
> >    script, man pages and more. I should really have made more of an
> effort
> >    to work together. If you are still working on it then let me know and
> >    I'll make sure that I give you what I have.
>
> I'm not aware of a separate fuppes project but as I stated early we can
> use collab-maint rather than a separate project if you want help
> maintaining fuppes.  I'm happy to help out but don't have time to
> maintain fuppes without collaboration.
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426048; Package wnpp. (Fri, 22 Jan 2010 14:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 22 Jan 2010 14:21:02 GMT) Full text and rfc822 format available.

Message #94 received at 426048@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Robert Massaioli <robertmassaioli@gmail.com>
Cc: Michael Schultheiss <schultmc@debian.org>, 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Fri, 22 Jan 2010 09:17:47 -0500
Robert Massaioli wrote:
>    Okay, well Eva seems to have done something and I'm going to continue
>    to do work too so a combined project should be created.
>    I'll try and create one on allioth asap.

There's no need to create a new project on alioth unless we want our own
separate infrastructure like mailing lists, etc.  We can use the
existing collab-maint project:

https://alioth.debian.org/projects/collab-maint/
http://wiki.debian.org/Alioth/PackagingProject




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Fri, 22 Jan 2010 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Fri, 22 Jan 2010 22:48:03 GMT) Full text and rfc822 format available.

Message #99 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Michael Schultheiss <schultmc@debian.org>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Sat, 23 Jan 2010 09:46:39 +1100
[Message part 1 (text/plain, inline)]
Thankyou, that was what I meant. I said the wrong thing but I want to let
you know that I have requested to join the collab-maint project and I will
be using git or svn to host it. Whichever I decide upon. I hope that we can
all merge the differences and work on it as a group. I'll message back when
I have got the collab project up and running.

On Sat, Jan 23, 2010 at 1:17 AM, Michael Schultheiss <schultmc@debian.org>wrote:

> Robert Massaioli wrote:
> >    Okay, well Eva seems to have done something and I'm going to continue
> >    to do work too so a combined project should be created.
> >    I'll try and create one on allioth asap.
>
> There's no need to create a new project on alioth unless we want our own
> separate infrastructure like mailing lists, etc.  We can use the
> existing collab-maint project:
>
> https://alioth.debian.org/projects/collab-maint/
> http://wiki.debian.org/Alioth/PackagingProject
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sun, 24 Jan 2010 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Sun, 24 Jan 2010 04:30:03 GMT) Full text and rfc822 format available.

Message #104 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Michael Schultheiss <schultmc@debian.org>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Sun, 24 Jan 2010 15:28:44 +1100
[Message part 1 (text/plain, inline)]
I am now pleased to announce that I have placed fuppes on the debian
collab-maint project using git. The git repository that I pushed is the one
we use fore development so I can push and pull any changes into development
quite easily. You can find it at
http://git.debian.org/?p=collab-maint/fuppes.git;a=summary and editing and
making it package worthy can begin now. Now I don't really know much about
how use this to manage a package so I'll be learning as I go along.
Essentially, you should be able to make packages by running a dh_make and
then debuild but I'll let anybody that wants to join the project join.

I hope this helps and I look forward to working with everyone.

Robert

On Sat, Jan 23, 2010 at 9:46 AM, Robert Massaioli <robertmassaioli@gmail.com
> wrote:

> Thankyou, that was what I meant. I said the wrong thing but I want to let
> you know that I have requested to join the collab-maint project and I will
> be using git or svn to host it. Whichever I decide upon. I hope that we can
> all merge the differences and work on it as a group. I'll message back when
> I have got the collab project up and running.
>
>
> On Sat, Jan 23, 2010 at 1:17 AM, Michael Schultheiss <schultmc@debian.org>wrote:
>
>> Robert Massaioli wrote:
>> >    Okay, well Eva seems to have done something and I'm going to continue
>> >    to do work too so a combined project should be created.
>> >    I'll try and create one on allioth asap.
>>
>> There's no need to create a new project on alioth unless we want our own
>> separate infrastructure like mailing lists, etc.  We can use the
>> existing collab-maint project:
>>
>> https://alioth.debian.org/projects/collab-maint/
>> http://wiki.debian.org/Alioth/PackagingProject
>>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sun, 24 Jan 2010 04:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Sun, 24 Jan 2010 04:36:02 GMT) Full text and rfc822 format available.

Message #109 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Michael Schultheiss <schultmc@debian.org>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Sun, 24 Jan 2010 15:30:05 +1100
[Message part 1 (text/plain, inline)]
Oh I forgot to mention that the repository is at version 660 + all of my
packaging changes. I hope that helps. We are packaging version 660.

Robert

On Sun, Jan 24, 2010 at 3:28 PM, Robert Massaioli <robertmassaioli@gmail.com
> wrote:

> I am now pleased to announce that I have placed fuppes on the debian
> collab-maint project using git. The git repository that I pushed is the one
> we use fore development so I can push and pull any changes into development
> quite easily. You can find it at
> http://git.debian.org/?p=collab-maint/fuppes.git;a=summary and editing and
> making it package worthy can begin now. Now I don't really know much about
> how use this to manage a package so I'll be learning as I go along.
> Essentially, you should be able to make packages by running a dh_make and
> then debuild but I'll let anybody that wants to join the project join.
>
> I hope this helps and I look forward to working with everyone.
>
> Robert
>
>
> On Sat, Jan 23, 2010 at 9:46 AM, Robert Massaioli <
> robertmassaioli@gmail.com> wrote:
>
>> Thankyou, that was what I meant. I said the wrong thing but I want to let
>> you know that I have requested to join the collab-maint project and I will
>> be using git or svn to host it. Whichever I decide upon. I hope that we can
>> all merge the differences and work on it as a group. I'll message back when
>> I have got the collab project up and running.
>>
>>
>> On Sat, Jan 23, 2010 at 1:17 AM, Michael Schultheiss <schultmc@debian.org
>> > wrote:
>>
>>> Robert Massaioli wrote:
>>> >    Okay, well Eva seems to have done something and I'm going to
>>> continue
>>> >    to do work too so a combined project should be created.
>>> >    I'll try and create one on allioth asap.
>>>
>>> There's no need to create a new project on alioth unless we want our own
>>> separate infrastructure like mailing lists, etc.  We can use the
>>> existing collab-maint project:
>>>
>>> https://alioth.debian.org/projects/collab-maint/
>>> http://wiki.debian.org/Alioth/PackagingProject
>>>
>>
>>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Thu, 28 Jan 2010 11:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Thu, 28 Jan 2010 11:33:10 GMT) Full text and rfc822 format available.

Message #114 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Michael Schultheiss <schultmc@debian.org>, Eva Ramon <debian@empanadilla.net>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Thu, 28 Jan 2010 22:29:25 +1100
[Message part 1 (text/plain, inline)]
Hi All,

The fuppes package seems ready to go to me. Using git-buildpackage I can
build it completely with warnings except a 'You don't need to call ldconfig'
one and a 'S runlevel not recognised in debian' one. Both of which are
trivial to fix if i need to remove those warnings.

I think I am ready to actually package it but I'm not sure. I was wondering
if i could get a helping hand from someone, or even many someones if
possible.

It should be easy to test making the package, just follow these steps in
your terminal:

git clone git://git.debian.org/collab-maint/fuppes.git
cd fuppes/
git branch upstream
git-buildpackage --git-ignore-new

I really look forward to any responses.

Thanks,
Robert

P.S. You'll need all of the required dependancies, including 'devtodo' if
you wish to build the source. :)

On Sun, Jan 24, 2010 at 3:30 PM, Robert Massaioli <robertmassaioli@gmail.com
> wrote:

> Oh I forgot to mention that the repository is at version 660 + all of my
> packaging changes. I hope that helps. We are packaging version 660.
>
> Robert
>
>
> On Sun, Jan 24, 2010 at 3:28 PM, Robert Massaioli <
> robertmassaioli@gmail.com> wrote:
>
>> I am now pleased to announce that I have placed fuppes on the debian
>> collab-maint project using git. The git repository that I pushed is the one
>> we use fore development so I can push and pull any changes into development
>> quite easily. You can find it at
>> http://git.debian.org/?p=collab-maint/fuppes.git;a=summary and editing
>> and making it package worthy can begin now. Now I don't really know much
>> about how use this to manage a package so I'll be learning as I go along.
>> Essentially, you should be able to make packages by running a dh_make and
>> then debuild but I'll let anybody that wants to join the project join.
>>
>> I hope this helps and I look forward to working with everyone.
>>
>> Robert
>>
>>
>> On Sat, Jan 23, 2010 at 9:46 AM, Robert Massaioli <
>> robertmassaioli@gmail.com> wrote:
>>
>>> Thankyou, that was what I meant. I said the wrong thing but I want to let
>>> you know that I have requested to join the collab-maint project and I will
>>> be using git or svn to host it. Whichever I decide upon. I hope that we can
>>> all merge the differences and work on it as a group. I'll message back when
>>> I have got the collab project up and running.
>>>
>>>
>>> On Sat, Jan 23, 2010 at 1:17 AM, Michael Schultheiss <
>>> schultmc@debian.org> wrote:
>>>
>>>> Robert Massaioli wrote:
>>>> >    Okay, well Eva seems to have done something and I'm going to
>>>> continue
>>>> >    to do work too so a combined project should be created.
>>>> >    I'll try and create one on allioth asap.
>>>>
>>>> There's no need to create a new project on alioth unless we want our own
>>>> separate infrastructure like mailing lists, etc.  We can use the
>>>> existing collab-maint project:
>>>>
>>>> https://alioth.debian.org/projects/collab-maint/
>>>> http://wiki.debian.org/Alioth/PackagingProject
>>>>
>>>
>>>
>>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Thu, 28 Jan 2010 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eva Ramon <debian@empanadilla.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Thu, 28 Jan 2010 12:06:03 GMT) Full text and rfc822 format available.

Message #119 received at 426048@bugs.debian.org (full text, mbox):

From: Eva Ramon <debian@empanadilla.net>
To: Robert Massaioli <robertmassaioli@gmail.com>
Cc: Michael Schultheiss <schultmc@debian.org>, 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Thu, 28 Jan 2010 13:03:13 +0100
[Message part 1 (text/plain, inline)]
Hi Robert,
as said I will take a look at it. I also have a ready fuppes package so I
will try to merge your work and mine and I will upload the result to the
collab-maint site.

Regards,
Eva

On Thu, Jan 28, 2010 at 12:29 PM, Robert Massaioli <
robertmassaioli@gmail.com> wrote:

> Hi All,
>
> The fuppes package seems ready to go to me. Using git-buildpackage I can
> build it completely with warnings except a 'You don't need to call ldconfig'
> one and a 'S runlevel not recognised in debian' one. Both of which are
> trivial to fix if i need to remove those warnings.
>
> I think I am ready to actually package it but I'm not sure. I was wondering
> if i could get a helping hand from someone, or even many someones if
> possible.
>
> It should be easy to test making the package, just follow these steps in
> your terminal:
>
> git clone git://git.debian.org/collab-maint/fuppes.git
> cd fuppes/
> git branch upstream
> git-buildpackage --git-ignore-new
>
> I really look forward to any responses.
>
> Thanks,
> Robert
>
> P.S. You'll need all of the required dependancies, including 'devtodo' if
> you wish to build the source. :)
>
> On Sun, Jan 24, 2010 at 3:30 PM, Robert Massaioli <
> robertmassaioli@gmail.com> wrote:
>
>> Oh I forgot to mention that the repository is at version 660 + all of my
>> packaging changes. I hope that helps. We are packaging version 660.
>>
>> Robert
>>
>>
>> On Sun, Jan 24, 2010 at 3:28 PM, Robert Massaioli <
>> robertmassaioli@gmail.com> wrote:
>>
>>> I am now pleased to announce that I have placed fuppes on the debian
>>> collab-maint project using git. The git repository that I pushed is the one
>>> we use fore development so I can push and pull any changes into development
>>> quite easily. You can find it at
>>> http://git.debian.org/?p=collab-maint/fuppes.git;a=summary and editing
>>> and making it package worthy can begin now. Now I don't really know much
>>> about how use this to manage a package so I'll be learning as I go along.
>>> Essentially, you should be able to make packages by running a dh_make and
>>> then debuild but I'll let anybody that wants to join the project join.
>>>
>>> I hope this helps and I look forward to working with everyone.
>>>
>>> Robert
>>>
>>>
>>> On Sat, Jan 23, 2010 at 9:46 AM, Robert Massaioli <
>>> robertmassaioli@gmail.com> wrote:
>>>
>>>> Thankyou, that was what I meant. I said the wrong thing but I want to
>>>> let you know that I have requested to join the collab-maint project and I
>>>> will be using git or svn to host it. Whichever I decide upon. I hope that we
>>>> can all merge the differences and work on it as a group. I'll message back
>>>> when I have got the collab project up and running.
>>>>
>>>>
>>>> On Sat, Jan 23, 2010 at 1:17 AM, Michael Schultheiss <
>>>> schultmc@debian.org> wrote:
>>>>
>>>>> Robert Massaioli wrote:
>>>>> >    Okay, well Eva seems to have done something and I'm going to
>>>>> continue
>>>>> >    to do work too so a combined project should be created.
>>>>> >    I'll try and create one on allioth asap.
>>>>>
>>>>> There's no need to create a new project on alioth unless we want our
>>>>> own
>>>>> separate infrastructure like mailing lists, etc.  We can use the
>>>>> existing collab-maint project:
>>>>>
>>>>> https://alioth.debian.org/projects/collab-maint/
>>>>> http://wiki.debian.org/Alioth/PackagingProject
>>>>>
>>>>
>>>>
>>>
>>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Fri, 05 Feb 2010 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Fri, 05 Feb 2010 00:36:03 GMT) Full text and rfc822 format available.

Message #124 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Eva Ramon <debian@empanadilla.net>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Fri, 5 Feb 2010 11:31:48 +1100
[Message part 1 (text/plain, inline)]
Hi Eva,

It has been a week and I was just wondering how the merge was going? Can I
offer any help? Because I would be more than happy to; you could even send
me your changes in a diff and I'll merge them for you?

Thanks,
Robert

On Thu, Jan 28, 2010 at 11:03 PM, Eva Ramon <debian@empanadilla.net> wrote:

> Hi Robert,
> as said I will take a look at it. I also have a ready fuppes package so I
> will try to merge your work and mine and I will upload the result to the
> collab-maint site.
>
> Regards,
> Eva
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sat, 06 Feb 2010 01:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Harker <jon@jon.geek.nz>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Sat, 06 Feb 2010 01:03:02 GMT) Full text and rfc822 format available.

Message #129 received at 426048@bugs.debian.org (full text, mbox):

From: Jonathan Harker <jon@jon.geek.nz>
To: 426048@bugs.debian.org
Subject: Tested the package build
Date: Sat, 06 Feb 2010 13:57:29 +1300
I have tested this on Ubuntu Karmic 9.10 amd64 and it builds nicely. I
followed the steps Robert highlighted earlier:

git clone git://git.debian.org/collab-maint/fuppes.git
cd fuppes/
git-buildpackage --git-ignore-new

These build and install correctly.

I would only add that I got errors without libexiv2-dev installed, so I
added it to debian/control - Here's my patch on top of commit
60dc5a54927cb73a3d74bb9f857491c7182e19b3


diff --git a/debian/control b/debian/control
index 6fa5cc8..e2601e4 100644
--- a/debian/control
+++ b/debian/control
@@ -18,6 +18,7 @@ Build-Depends: debhelper (>= 7), autotools-dev,
                 libmad0-dev,
                 libmpeg4ip-dev,
                 libmp4v2-dev,
+                libexiv2-dev,
                 devtodo
 Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/collab-maint/fuppes.git





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sat, 06 Feb 2010 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Michael Schultheiss <schultmc@debian.org>. (Sat, 06 Feb 2010 11:48:03 GMT) Full text and rfc822 format available.

Message #134 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: 426048@bugs.debian.org
Subject: Fwd: Bug#426048: Packaging FUPPES - missing libexim2-dev dependency
Date: Sat, 6 Feb 2010 22:45:45 +1100
[Message part 1 (text/plain, inline)]
Added Jonathan Harker's changes to the repository. It compiles well and does
not break. BTW simage should not be included for now. It will cause a
libogg.la depends error. This will be fixed in the next simage release I
believe. The changelogs of simage should contain a note about it.

Robert
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Tue, 09 Feb 2010 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Tue, 09 Feb 2010 11:42:03 GMT) Full text and rfc822 format available.

Message #139 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Eva Ramon <debian@empanadilla.net>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Tue, 9 Feb 2010 22:38:46 +1100
[Message part 1 (text/plain, inline)]
Nearly two weeks now so in two days I will start the RFS process. :) Please
let me know if you are working on this.

Thanks,
Robert

On Fri, Feb 5, 2010 at 11:31 AM, Robert Massaioli <robertmassaioli@gmail.com
> wrote:

> Hi Eva,
>
> It has been a week and I was just wondering how the merge was going? Can I
> offer any help? Because I would be more than happy to; you could even send
> me your changes in a diff and I'll merge them for you?
>
> Thanks,
> Robert
>
> On Thu, Jan 28, 2010 at 11:03 PM, Eva Ramon <debian@empanadilla.net>wrote:
>
>> Hi Robert,
>>
>> as said I will take a look at it. I also have a ready fuppes package so I
>> will try to merge your work and mine and I will upload the result to the
>> collab-maint site.
>>
>> Regards,
>> Eva
>>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Tue, 09 Feb 2010 12:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eva Ramon <debian@empanadilla.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Tue, 09 Feb 2010 12:51:06 GMT) Full text and rfc822 format available.

Message #144 received at 426048@bugs.debian.org (full text, mbox):

From: Eva Ramon <debian@empanadilla.net>
To: Robert Massaioli <robertmassaioli@gmail.com>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Tue, 9 Feb 2010 13:50:13 +0100
[Message part 1 (text/plain, inline)]
Hi Robert,
ok, go ahead, I am out.

Regards,
Eva



On Tue, Feb 9, 2010 at 12:38 PM, Robert Massaioli <robertmassaioli@gmail.com
> wrote:

> Nearly two weeks now so in two days I will start the RFS process. :) Please
> let me know if you are working on this.
>
> Thanks,
> Robert
>
>
> On Fri, Feb 5, 2010 at 11:31 AM, Robert Massaioli <
> robertmassaioli@gmail.com> wrote:
>
>> Hi Eva,
>>
>> It has been a week and I was just wondering how the merge was going? Can I
>> offer any help? Because I would be more than happy to; you could even send
>> me your changes in a diff and I'll merge them for you?
>>
>> Thanks,
>> Robert
>>
>> On Thu, Jan 28, 2010 at 11:03 PM, Eva Ramon <debian@empanadilla.net>wrote:
>>
>>> Hi Robert,
>>>
>>> as said I will take a look at it. I also have a ready fuppes package so I
>>> will try to merge your work and mine and I will upload the result to the
>>> collab-maint site.
>>>
>>> Regards,
>>> Eva
>>>
>>
>>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sat, 13 Feb 2010 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sat, 13 Feb 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #149 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Eva Ramon <debian@empanadilla.net>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Sun, 14 Feb 2010 00:53:11 +1100
[Message part 1 (text/plain, inline)]
Just a quick heads up: I have added a RFS for fuppes. Lets hope that
somebody comes and takes a look at it. :)

Robert

P.S. I suspect the control file contains too many depends. Will try and
double check with less tomorrow.

On Tue, Feb 9, 2010 at 11:50 PM, Eva Ramon <debian@empanadilla.net> wrote:

> Hi Robert,
> ok, go ahead, I am out.
>
> Regards,
> Eva
>
>
>
>
> On Tue, Feb 9, 2010 at 12:38 PM, Robert Massaioli <
> robertmassaioli@gmail.com> wrote:
>
>> Nearly two weeks now so in two days I will start the RFS process. :)
>> Please let me know if you are working on this.
>>
>> Thanks,
>> Robert
>>
>>
>> On Fri, Feb 5, 2010 at 11:31 AM, Robert Massaioli <
>> robertmassaioli@gmail.com> wrote:
>>
>>> Hi Eva,
>>>
>>> It has been a week and I was just wondering how the merge was going? Can
>>> I offer any help? Because I would be more than happy to; you could even send
>>> me your changes in a diff and I'll merge them for you?
>>>
>>> Thanks,
>>> Robert
>>>
>>> On Thu, Jan 28, 2010 at 11:03 PM, Eva Ramon <debian@empanadilla.net>wrote:
>>>
>>>> Hi Robert,
>>>>
>>>> as said I will take a look at it. I also have a ready fuppes package so
>>>> I will try to merge your work and mine and I will upload the result to the
>>>> collab-maint site.
>>>>
>>>> Regards,
>>>> Eva
>>>>
>>>
>>>
>>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#426048; Package wnpp. (Sun, 14 Feb 2010 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 14 Feb 2010 02:51:03 GMT) Full text and rfc822 format available.

Message #154 received at 426048@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Robert Massaioli <robertmassaioli@gmail.com>, 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Sat, 13 Feb 2010 21:46:07 -0500
Robert Massaioli wrote:
>    Just a quick heads up: I have added a RFS for fuppes. Lets hope that
>    somebody comes and takes a look at it. :)
>    Robert
>    P.S. I suspect the control file contains too many depends. Will try and
>    double check with less tomorrow.

I'll take a look





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sun, 07 Mar 2010 18:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <oberger@ouvaton.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sun, 07 Mar 2010 18:24:10 GMT) Full text and rfc822 format available.

Message #159 received at 426048@bugs.debian.org (full text, mbox):

From: Olivier Berger <oberger@ouvaton.org>
To: Robert Massaioli <robertmassaioli@gmail.com>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Sun, 7 Mar 2010 19:21:32 +0100
Hi.

On Sun, Feb 14, 2010 at 12:53:11AM +1100, Robert Massaioli wrote:
> Just a quick heads up: I have added a RFS for fuppes. Lets hope that
> somebody comes and takes a look at it. :)
> 

I've hade a look at the contents of the git master branch and the http://mentors.debian.net/debian/pool/main/f/fuppes/fuppes_0.660-1.dsc and both do not seem to be in sync.

Is this intended ?

Thanks in advance.

Best regards,
-- 
Olivier BERGER 
(OpenPGP: 1024D/B4C5F37F)
http://www.olivierberger.com/weblog/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sun, 07 Mar 2010 18:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sun, 07 Mar 2010 18:57:08 GMT) Full text and rfc822 format available.

Message #164 received at 426048@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Robert Massaioli <robertmassaioli@gmail.com>
Cc: Michael Schultheiss <schultmc@debian.org>, debian-mentors@lists.debian.org, 426048@bugs.debian.org
Subject: Re: RFS: fuppes
Date: Sun, 07 Mar 2010 19:53:23 +0100
Hi.

Le dimanche 14 février 2010 à 14:09 +1100, Robert Massaioli a écrit :
> Thankyou. If I may recommend looking at the depends; I believe that
> they are correct if every part of the package would build natively on
> debian. But some parts don't and I think you may have to manually
> recompile ffmpeg to get them to work.
> 
> What this means is that I think there are too many depends for what is
> required by the package (as it is now). 

I've had a look at the package and tried to rebuild it on Debian
testing, and spotted a dependency on mp4v2 lib, which AFAICT is not in
Debian (see #552705).

Same stands also for mp3lame maybe.

Are you sure you didn't prepare the package with debian multimedia
packages installed on your system ?

Hope this helps.

Best regards,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sun, 07 Mar 2010 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <oberger@ouvaton.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sun, 07 Mar 2010 19:03:06 GMT) Full text and rfc822 format available.

Message #169 received at 426048@bugs.debian.org (full text, mbox):

From: Olivier Berger <oberger@ouvaton.org>
To: 426048@bugs.debian.org
Subject: Re: Bug#426048: RFS: fuppes
Date: Sun, 7 Mar 2010 20:00:52 +0100
On Sun, Mar 07, 2010 at 07:53:23PM +0100, Olivier Berger wrote:
> 
> I've had a look at the package and tried to rebuild it on Debian
> testing, and spotted a dependency on mp4v2 lib, which AFAICT is not in
> Debian (see #552705).
> 
> Same stands also for mp3lame maybe.
> 
> Are you sure you didn't prepare the package with debian multimedia
> packages installed on your system ?
> 

I confirm that it succesfully builds with the following changes WRT the version on mentors.debian.net :
diff -u fuppes-0.660/debian/control fuppes-0.660/debian/control
--- fuppes-0.660/debian/control
+++ fuppes-0.660/debian/control
@@ -14,10 +14,8 @@
                 libflac-dev,
                 libtag1-dev, 
                 uuid-dev, 
-                libmp3lame-dev, 
                 libmagick++-dev, 
                 libmad0-dev, 
-                libmp4v2-dev, 
                 libexiv2-dev,
                 libpcre3-dev,
                 libdirac-dev,

Hope this helps.
-- 
Olivier BERGER 
(OpenPGP: 1024D/B4C5F37F)
http://www.olivierberger.com/weblog/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sun, 07 Mar 2010 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sun, 07 Mar 2010 20:21:03 GMT) Full text and rfc822 format available.

Message #174 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Olivier Berger <oberger@ouvaton.org>
Cc: 426048@bugs.debian.org
Subject: Re: Bug#426048: Packaging FUPPES
Date: Mon, 8 Mar 2010 07:18:31 +1100
[Message part 1 (text/plain, inline)]
Hi Oliver,

Yes it is. I had some issues compiling fuppes on sid at the time and as a
result, because I didn't know better, I think that I compiled it on lenny
with some removed functionality. Essentially, it should probably be
recompiled on debian sid but my sid is currently having udev issues. I would
have looked into this sooner except that this week, and the next twelve, I
am going to be much more busy than usual. I will look into it soon but I
think that the package should still be functional; what was your honest
opinion? And what do you think needs to be done?

Thanks,
Robert

On Mon, Mar 8, 2010 at 5:21 AM, Olivier Berger <oberger@ouvaton.org> wrote:

> Hi.
>
> On Sun, Feb 14, 2010 at 12:53:11AM +1100, Robert Massaioli wrote:
> > Just a quick heads up: I have added a RFS for fuppes. Lets hope that
> > somebody comes and takes a look at it. :)
> >
>
> I've hade a look at the contents of the git master branch and the
> http://mentors.debian.net/debian/pool/main/f/fuppes/fuppes_0.660-1.dsc and
> both do not seem to be in sync.
>
> Is this intended ?
>
> Thanks in advance.
>
> Best regards,
> --
> Olivier BERGER
> (OpenPGP: 1024D/B4C5F37F)
> http://www.olivierberger.com/weblog/
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sun, 07 Mar 2010 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Massaioli <robertmassaioli@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sun, 07 Mar 2010 20:30:03 GMT) Full text and rfc822 format available.

Message #179 received at 426048@bugs.debian.org (full text, mbox):

From: Robert Massaioli <robertmassaioli@gmail.com>
To: Olivier Berger <olivier.berger@it-sudparis.eu>
Cc: Michael Schultheiss <schultmc@debian.org>, debian-mentors@lists.debian.org, 426048@bugs.debian.org
Subject: Re: RFS: fuppes
Date: Mon, 8 Mar 2010 07:28:23 +1100
[Message part 1 (text/plain, inline)]
Thankyou for the response. I believe that I will be taking a look at it
again today and ensuring that there are no errors like this one. The package
needs to be remade it seems.

Thanks,
Robert

On Mon, Mar 8, 2010 at 5:53 AM, Olivier Berger <
olivier.berger@it-sudparis.eu> wrote:

> Hi.
>
> Le dimanche 14 février 2010 à 14:09 +1100, Robert Massaioli a écrit :
> > Thankyou. If I may recommend looking at the depends; I believe that
> > they are correct if every part of the package would build natively on
> > debian. But some parts don't and I think you may have to manually
> > recompile ffmpeg to get them to work.
> >
> > What this means is that I think there are too many depends for what is
> > required by the package (as it is now).
>
> I've had a look at the package and tried to rebuild it on Debian
> testing, and spotted a dependency on mp4v2 lib, which AFAICT is not in
> Debian (see #552705).
>
> Same stands also for mp3lame maybe.
>
> Are you sure you didn't prepare the package with debian multimedia
> packages installed on your system ?
>
> Hope this helps.
>
> Best regards,
> --
> Olivier BERGER <olivier.berger@it-sudparis.eu>
> http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
> Ingénieur Recherche - Dept INF
> Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Fri, 26 Mar 2010 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Fri, 26 Mar 2010 13:42:03 GMT) Full text and rfc822 format available.

Message #184 received at 426048@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: Robert Massaioli <robertmassaioli@gmail.com>
Cc: 426048@bugs.debian.org
Subject: about your fuppes ITP.
Date: Fri, 26 Mar 2010 14:39:48 +0100
Hello!

I've read the comments in the fuppes ITP and quickly looked at
fuppes collab-maint git repo.
It seems you neither have an "upstream" branch, nor anything else
to assist you with creating the orig tarball.
You might want to investigate git-import-orig and the pristine-tar
option.

You might want to work some more on the long descriptions of
some of the packages. It's common to include a brief description
of what the main package is and what use it has in the
plugin packages as well... Imagine someone stumpling
upon any of your binary packages for the first time and
don't know anything about them.

You could drop the things you don't need in your debian/rules
to clean it up (or even consider switching to dh7 for a really
clean rules file).

I read something in the ITP comments about warnings of unneccessary
ldconfig calls and similar. This is usually because of plugins
being incorrectly treated as regular shared libraries.
You might want to exclude /usr/lib/fuppes/* when running dh_makeshlibs:
dh_makeshlibs -X /usr/lib/fuppes/
Also, your postinst/rm scripts seems to manually run ldconfig
on configure every time rather then relying on debhelper adding
it (only) when needed.
While at, do you really want to have the debian/shlibs.* included
in your git repo? You generate them at build time.....

I hope my quick review helps you get the package in even better
shape for sponsorship review.

You're more then welcome to steal packaging ideas from
http://git.debian.org/?p=collab-maint/rygel.git
(See debian/README.source for comments about dealing with pristine-tar, et.al.)

With friendly greetings from the competition!

Andreas Henriksson
(Rygel packaging team member)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#426048; Package wnpp. (Sat, 19 Feb 2011 17:24:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sat, 19 Feb 2011 17:24:25 GMT) Full text and rfc822 format available.

Message #189 received at 426048@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 426048@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fuppes: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:00:18 +0000
retitle 426048 RFP: fuppes -- FUPPES is a free multiplatform UPnP (TM) A/V Media Server
noowner 426048
thanks

Hi,

This is an automatic email to change the status of fuppes back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting fuppes, please send a mail to
<control@bugs.debian.org> with:

 retitle 426048 ITP: fuppes -- FUPPES is a free multiplatform UPnP (TM) A/V Media Server
 owner 426048 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <426048@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: fuppes -- FUPPES is a free multiplatform UPnP (TM) A/V Media Server' from 'ITP: fuppes -- FUPPES is a free multiplatform UPnP (TM) A/V Media Server' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:27:11 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Michael Schultheiss <schultmc@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:27:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:52:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.